# Retrieve list of Access Groups

Retrieve list of Access Groups based on search parameters such as building ID and name. Supports pagination.

Endpoint: GET /api/v3/accessGroups
Version: 3.0.16
Security: OAuth2

## Query parameters:

  - `buildingId` (integer)
    Id of a specific building linked to the access group

  - `name` (string)
    Name of access group

## Response 200 fields (application/json):

  - `content` (array)

  - `content.name` (string)
    Name of access group

  - `content.id` (integer)
    Id of access group

  - `content.buildingId` (integer)
    PMS internal building id

  - `content.externalIdentifier` (string)
    Access control system identifier for access group

  - `content.buildingName` (string)
    PMS internal building name

  - `page` (object)

  - `page.size` (integer)

  - `page.totalElements` (integer)

  - `page.totalPages` (integer)

  - `page.number` (integer)


